Subject: [bug#54974] [PATCH] added btop

From: Maxime Devos <[email-masked]>
Date: Mon, 18 Apr 2022 20:47:19 +0200

Greg Hogan schreef op ma 18-04-2022 om 09:40 [-0400]:
> Instead of the "replace 'install" lambda, I had done:
>   #:make-flags (list (string-append "PREFIX=" (assoc-ref %outputs
> "out")))
> which is both shorter and to my understanding more generic (more
> adaptable to future additional binaries or libraries, though this
> package will likely only ever have a single binary).

Long term, %outputs, %build-inputs, ... are being phased out, so I'd go
with, so I'd go with

   (arguments (list #:make-flags #~(string-append "PREFIX=" #$output)))

here instead.

Greetings,
Maxime.